ldraw-mklist(1)

NAME
ldraw-mklist - create parts.lst files

SYNOPSIS
ldraw-mklist [options] [-i parts ] [-o file ]

DESCRIPTION
ldraw-mklist generates a parts.lst file from a parts directory for usage by other programs.

OPTIONS

-h  Display a help message

-n  Sort by Number

-d  Sort by Description

-c  Check for duplicate descriptions. "parts.lst" unchanged.

-m  Don't skip parts with "~Moved to xxx" description

-~  Skip parts with ~ description, e.g. "~Winch 2 x 4 x 2 Top"

-i <dir>
    input directory, default is "PARTS" in current directory

-o <file>
    output filename, default is "parts.lst" in current directory

-f  Force it to finish. No prompts.

-q  Quiet mode. No warnings, and no prompts.

-8  Use 8.3 names for compatibility.

-t  Truncating descriptions to fit in an 80 char terminal window.

-r  Ragged filename column. Size it to fit short filenames.

-l  Truncate Long descriptions at 64 chars.

-v  Print verbose info. Useful for debugging.

FILES
/usr/share/ldraw/
    The default location of the parts library
/usr/share/ldraw/parts.lst
    The default location of the parts list

AUTHOR
Johannes Schauer <j.schauer at email dot de>

SEE ALSO
ldview(1), ldglite(5)